<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Entity;

class PagamentoComandaFormaPagamentoViewModel extends Entity {
	protected $id;
	protected $forma_id;
	protected $valor;
	protected $card;
	protected $boleto;
	protected $pix;
	protected $credito_cliente = array ();
	protected $dinheiro;
	protected $observacao;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;

	public static function builder(): PagamentoComandaFormaPagamentoViewModelBuilder {

		return (new PagamentoComandaFormaPagamentoViewModelBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getFormaId() {

		return $this->forma_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCard() {

		return $this->card;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getBoleto() {

		return $this->boleto;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPix() {

		return $this->pix;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDinheiro() {

		return $this->dinheiro;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCreditoCliente() {

		return $this->credito_cliente;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getObservacao() {

		return $this->observacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriado_por() {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizado_por() {

		return $this->atualizado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->data_atualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->hora_atualizacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $forma_id
	 */
	public function setFormaId($forma_id) {

		$this->forma_id = $forma_id;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}

	/**
	 *
	 * @param mixed $card
	 */
	public function setCard($card) {

		$this->card = $card;

	}

	/**
	 *
	 * @param mixed $boleto
	 */
	public function setBoleto($boleto) {

		$this->boleto = $boleto;

	}

	/**
	 *
	 * @param mixed $pix
	 */
	public function setPix($pix) {

		$this->pix = $pix;

	}

	/**
	 *
	 * @param mixed $dinheiro
	 */
	public function setDinheiro($dinheiro) {

		$this->dinheiro = $dinheiro;

	}

	/**
	 *
	 * @param mixed $credito_cliente
	 */
	public function setCreditoCliente($creditoCliente) {

		$this->credito_cliente = $creditoCliente;

	}

	/**
	 *
	 * @param mixed $observacao
	 */
	public function setObservacao($observacao) {

		$this->observacao = $observacao;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por) {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por) {

		$this->atualizado_por = $atualizado_por;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setDataAtualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHoraAtualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;

	}

}

